=head1 README

  BBBike - ein Programm zum Suchen von Routen für Radfahrer in Berlin

=head1 INSTALLATION

=head2 Allgemein

Die aktuellste BBBike-Archivdatei findet man im Verzeichnis
L<http://prdownloads.sourceforge.net/bbbike> . Die aktuelle Sourcedatei ist
L<http://prdownloads.sourceforge.net/bbbike/BBBike-3.12.tar.gz> .

=head2 FreeBSD

Für FreeBSD existiert seit 3.0-RELEASE ein I<Port> für BBBike in der
Kategorie B<german>. Besitzer älterer FreeBSD-Versionen können den
I<Port> über L<http://www.freebsd.org/cgi/ports.cgi?query=bbbike&stype=all>
finden.
Ohne I<Port> kann BBBike wie bei anderen Unices installiert werden.

=head2 Linux, Solaris, andere Unices

Perl5 muss installiert sein. Das ist oft, besonders bei Linux, der
Fall. Mit

	perl -V

kann überprüft werden, ob und welche Version von perl installiert ist.
Ansonsten kann man Perl5 unter L<http://www.perl.com> finden. Es wird
mindestens die Version 5.005 benötigt.

Danach kann BBBike ausgepackt werden:


	zcat BBBike-3.12.tar.gz | tar xfv -

Falls perl/Tk (eine möglichst neue Version, z.B. 800.024) nicht
installiert ist: in das Verzeichnis C<BBBike-3.12>
wechseln und als Superuser


	perl -I`pwd` -MCPAN -e "install Bundle::BBBike_small"

eingeben, damit Perl/Tk über das
Internet geladen, compiliert und installiert wird. Wenn dabei Probleme
auftreten (insbesondere mit der Internet-Verbindung), dann sollten
die Anweisungen in

	perldoc perlmodinstall

befolgt werden, um das Modul Tk zu installieren.

Danach kann mit


	perl bbbike

das Programm gestartet werden. Mit


	perl install.pl

kann optional eine Compilierung von einigen XS-Modulen durchgeführt
werden sowie Einträge für KDE erzeugt werden.

Statt Bundle::BBBike_small kann auch Bundle::BBBike verwendet werden.
Damit werden wesentlich mehr Module installiert, die teilweise nur für
die Entwicklung verwendet werden, teilweise aber auch die Arbeit mit
BBBike erleichtern.

=head2 Windows 95/98/2000/NT

BBBike und Perl benötigen ca. 32 MB an Festplattenspeicher.

Die Datei L<http://prdownloads.sourceforge.net/bbbike/BBBike-3.09-Windows.zip>
laden und mit WinZip an einer
beliebigen Stelle auf der Festplatte auspacken. Zum Starten von BBBike
muss das Icon C<bbbike.bat> im Verzeichnis BBBike-3.09-Windows
angeklickt werden.

Mit C<setup.bat> kann man optional BBBike nach C<C:\BBBike>
installieren und enthält dann auch einen Eintrag im Startmenü. Nach
der Installation mit C<setup.bat> kann das alte extrahierte Verzeichnis
gelöscht werden.

=head2 Alternative Windows Installation (1)

Alternativ kann BBBike auch nur mit den Sourcen installiert werden.
Arbeitsschritte für Windows-95/98/2000/NT-Benutzer:

=over 4

=item *

Aus dem WWW die perl-Distribution downloaden. Perl kann
von der ActiveState Webpage geladen werden:

L<http://www.activestate.com/Products/ActivePerl/Download.html>



In der Regel werden zwei Dateien zum Installieren benötigt, den
Windows Installer und die eigentliche Perl-Distribution für Windows
Intel. Beide Dateien müssen nacheinander ausgeführt werden. Die
Installation ist normalerweise mit einigen Reboots verbunden.

Nach der Installation von perl muss in der MSDOS-Eingabeafforderung das
Programm


	ppm

aufgerufen werden und mit


	install Tk

über das Internet perl/Tk installiert werden. Mit 


	quit

wird das ppm-Programm verlassen.

=item *

L<BBBike-3.12.tar.gz|http://prdownloads.sourceforge.net/bbbike/BBBike-3.12.tar.gz>
downloaden und mit WinZip auspacken. Das
ausgepackte Verzeichnis wird später nicht mehr verschoben.

=item *

In der Eingabeaufforderung oder im Explorer zum Verzeichnis BBBike-3.12
wechseln und


	install.pl

aufrufen. Das Installationsskript erstellt
Einträge für BBBike im Startmenü und erzeugt ein Icon auf dem Desktop.

=back

=head2 Alternative Windows Installation (2)

Wenn Cygwin (L<http://www.cygwin.org/>) installiert ist, können aus einer
bash-Shell heraus die Anweisungen wie bei einer UNIX-Installation
befolgt werden.

=head2 Alternative Windows Installation (3)

Als weitere Alternative kann eine ältere perl-Distribution, die allerdings Tk
bereits enthält, geladen werden:

L<http://www.perl.com/CPAN/ports/win32/Standard/x86/perl5.00402-bindist04-bc.tar.gz>

Die geladene Datei muss mit WinZip oder gunzip+tar ausgepackt werden.
Im ausgepackten Verzeichnis befindet sich das Installationsprogramm
C<install.bat>. Das Programm in der Eingabeaufforderungen aufrufen und
die Anweisungen befolgen.

Mit dieser alten Version (5.004_02) von Perl benötigt man auch eine
relativ alte Version von BBBike (älter als 3.00).

=head2 Windows 3.1

Windows-3.1-Benutzer haben zwei Alternativen: Verwenden des
Kommandozeilen-Interfaces mit einer perl5-Version für Windows 3.1
(z.B.
L<http://www.perl.com/CPAN/ports/win16/LMOLNAR/perl5.00402-bindist01-dos-djgpp.zip>).

Wenn das Tk-Interface verwendet werden soll, muss zuerst Win32s
installiert sein (die Datei heißt PW1118.EXE, mit ftpsearch danach
suchen) und danach die
perl5-Distribution für Windows95 (siehe oben) installiert werden.

Für weitere Hinweise bitte an den Autor wenden.


=head2 Mac OS X

Mac OS X enthält bereits perl 5.6.0. Um BBBike zum Laufen zu bringen
werden noch XDarwin und Perl/Tk benötigt. Eine Anleitung zum Aufsetzen
von Perl/Tk auf Mac OS X bekommt man in der comp.lang.perl.tk Newsgroup
(siehe L<http://groups.google.com>). I habe niemals BBBike unter Mac OS X
ausprobiert und würde mich über Erfolgsberichte (und auch Problemberichte)
freuen.

Mac OS Classic wird nicht unterstützt.


=head1 AUSFÜHREN

Unter Unix wird BBBike ausgeführt, indem man ins bbbike-Verzeichnis
wechselt und 


	perl bbbike

eintippt. Wenn eine KDE-Installation durchgeführt wurde, findet man
das Icon im 
Startmenü unter dem Punkt "Anwendungen". Bei Windows befindet sich das
BBBike-Icon ebenfalls im Startmenü.

BBBike ist sehr speicher- und CPU-intensiv. Mindestens 16 MB RAM sind
auf i386-Plattformen notwendig (bei Solaris mindestens 32 MB), besser
das doppelte davon. Einige Versionen von BBBike wurden unter folgenden
Plattformen getestet: Solaris-2.5, Solaris 8, FreeBSD-3.5, FreeBSD-4.6, Linux Suse 6.4, Linux Suse 7.0, Linux Debian 3.0, Windows 95, Windows 98, Windows NT 4.0, Windows 2000. Die
Entwicklungsarbeit wird auf einem FreeBSD-Rechner vorgenommen.

=head2 WWW-Version

Im WWW existiert unter der Adresse

L<http://www.bbbike.de>

eine einfache, stark text-orientierte Version von bbbike. Weitere
Informationen zu der CGI-Version gibt es unter

L<http://www.bbbike.de/info=1>


=head2 Kommandozeilen-Version

Mit C<cbbbike> existiert eine einfache Kommandozeilen-Version des
Programms.

=head1 DOKUMENTATION

Die L<Dokumentation|bbbike> liegt im POD-Format (plain old
documentation) in der 
Datei C<bbbike.pod>, sowie als HTML (C<bbbike.html>) vor. Die
POD-Datei kann entweder mit tkpod, perldoc oder aus bbbike (bei
installiertem B<Tk::Pod>) heraus gelesen werden.


=head1 LIZENZ

Die wichtigsten Teilstücke der Anwendung (C<bbbike>, C<cgi/bbbike.cgi>,
C<Strassen.pm> und C<Strassen/Inline.pm>) und die Daten im
C<data>-Verzeichnis sind unter der
L<GPL|http://www.opensource.org/licenses/gpl-license.html>
veröffentlicht. Die restlichen Module können entweder unter der L<Artistic
License|http://www.opensource.org/licenses/artistic-license.html> oder
GPL veröffentlicht werden. Die genauen Lizenzbestimmungen stehen in den
Quelldateien selbst.

Einige Module und Dateien von anderen Autoren sind in dieser
Distribution enthalten: C<lib/your.pm> von Michael G Schwern,
C<lib/Text/ScriptTemplate.pm> von Taisuke Yamada, C<lib/enum.pm> von
Zenin, C<ext/Strassen-Inline/heap.[ch]> der Internet Software
Consortium, C<ext/BBBikeXS/sqrt.c> von Eyal Lebedinsky.

C<BBBike-3.09-Windows.zip> enthält einen Teil der
C<SiePerl>-Distribution.



=head1 AUTOR

Slaven Rezic, E-Mail: L<slaven@rezic.de|mailto:slaven@rezic.de>
